summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--config/p10k-classic.zsh18
-rw-r--r--config/p10k-lean-8colors.zsh13
-rw-r--r--config/p10k-lean.zsh13
-rw-r--r--config/p10k-rainbow.zsh14
-rw-r--r--internal/icons.zsh5
-rw-r--r--internal/p10k.zsh54
6 files changed, 116 insertions, 1 deletions
diff --git a/config/p10k-classic.zsh b/config/p10k-classic.zsh
index 11ac1a72..013c6e69 100644
--- a/config/p10k-classic.zsh
+++ b/config/p10k-classic.zsh
@@ -66,6 +66,7 @@
luaenv # lua version from luaenv (https://github.com/cehoffman/luaenv)
jenv # java version from jenv (https://github.com/jenv/jenv)
plenv # perl version from plenv (https://github.com/tokuhirom/plenv)
+ phpenv # php version from phpenv (https://github.com/phpenv/phpenv)
kubecontext # current kubernetes context (https://kubernetes.io/)
terraform # terraform workspace (https://www.terraform.io)
aws # aws profile (https://docs.aws.amazon.com/cli/latest/userguide/cli-configure-profiles.html)
@@ -260,7 +261,13 @@
.hg
.node-version
.python-version
+ .go-version
.ruby-version
+ .lua-version
+ .java-version
+ .perl-version
+ .php-version
+ .tool-version
.shorten_folder_marker
.svn
.terraform
@@ -988,6 +995,17 @@
# Custom icon.
# typeset -g POWERLEVEL9K_PLENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
+ ###########[ phpenv: php version from phpenv (https://github.com/phpenv/phpenv) ]############
+ # PHP color.
+ typeset -g POWERLEVEL9K_PHPENV_FOREGROUND=99
+ # Hide php version if it doesn't come from one of these sources.
+ typeset -g POWERLEVEL9K_PHPENV_SOURCES=(shell local global)
+ # If set to false, hide php version if it's the same as global:
+ # $(phpenv version-name) == $(phpenv global).
+ typeset -g POWERLEVEL9K_PHPENV_PROMPT_ALWAYS_SHOW=false
+ # Custom icon.
+ # typeset -g POWERLEVEL9K_PHPENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
+
################[ terraform: terraform workspace (https://www.terraform.io) ]#################
# POWERLEVEL9K_TERRAFORM_CLASSES is an array with even number of elements. The first element
# in each pair defines a pattern against which the current terraform workspace gets matched.
diff --git a/config/p10k-lean-8colors.zsh b/config/p10k-lean-8colors.zsh
index a4e4e158..5dd3da95 100644
--- a/config/p10k-lean-8colors.zsh
+++ b/config/p10k-lean-8colors.zsh
@@ -66,6 +66,7 @@
luaenv # lua version from luaenv (https://github.com/cehoffman/luaenv)
jenv # java version from jenv (https://github.com/jenv/jenv)
plenv # perl version from plenv (https://github.com/tokuhirom/plenv)
+ phpenv # php version from phpenv (https://github.com/phpenv/phpenv)
kubecontext # current kubernetes context (https://kubernetes.io/)
terraform # terraform workspace (https://www.terraform.io)
aws # aws profile (https://docs.aws.amazon.com/cli/latest/userguide/cli-configure-profiles.html)
@@ -261,6 +262,7 @@
.lua-version
.java-version
.perl-version
+ .php-version
.tool-version
.shorten_folder_marker
.svn
@@ -972,6 +974,17 @@
# Custom icon.
# typeset -g POWERLEVEL9K_PLENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
+ ###########[ phpenv: php version from phpenv (https://github.com/phpenv/phpenv) ]############
+ # PHP color.
+ typeset -g POWERLEVEL9K_PHPENV_FOREGROUND=5
+ # Hide php version if it doesn't come from one of these sources.
+ typeset -g POWERLEVEL9K_PHPENV_SOURCES=(shell local global)
+ # If set to false, hide php version if it's the same as global:
+ # $(phpenv version-name) == $(phpenv global).
+ typeset -g POWERLEVEL9K_PHPENV_PROMPT_ALWAYS_SHOW=false
+ # Custom icon.
+ # typeset -g POWERLEVEL9K_PHPENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
+
#############[ kubecontext: current kubernetes context (https://kubernetes.io/) ]#############
# Show kubecontext only when the the command you are typing invokes one of these tools.
# Tip: Remove the next line to always show kubecontext.
diff --git a/config/p10k-lean.zsh b/config/p10k-lean.zsh
index 7cbf0bef..79cd8ae7 100644
--- a/config/p10k-lean.zsh
+++ b/config/p10k-lean.zsh
@@ -66,6 +66,7 @@
luaenv # lua version from luaenv (https://github.com/cehoffman/luaenv)
jenv # java version from jenv (https://github.com/jenv/jenv)
plenv # perl version from plenv (https://github.com/tokuhirom/plenv)
+ phpenv # php version from phpenv (https://github.com/phpenv/phpenv)
kubecontext # current kubernetes context (https://kubernetes.io/)
terraform # terraform workspace (https://www.terraform.io)
aws # aws profile (https://docs.aws.amazon.com/cli/latest/userguide/cli-configure-profiles.html)
@@ -261,6 +262,7 @@
.lua-version
.java-version
.perl-version
+ .php-version
.tool-version
.shorten_folder_marker
.svn
@@ -972,6 +974,17 @@
# Custom icon.
# typeset -g POWERLEVEL9K_PLENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
+ ###########[ phpenv: php version from phpenv (https://github.com/phpenv/phpenv) ]############
+ # PHP color.
+ typeset -g POWERLEVEL9K_PHPENV_FOREGROUND=99
+ # Hide php version if it doesn't come from one of these sources.
+ typeset -g POWERLEVEL9K_PHPENV_SOURCES=(shell local global)
+ # If set to false, hide php version if it's the same as global:
+ # $(phpenv version-name) == $(phpenv global).
+ typeset -g POWERLEVEL9K_PHPENV_PROMPT_ALWAYS_SHOW=false
+ # Custom icon.
+ # typeset -g POWERLEVEL9K_PHPENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
+
#############[ kubecontext: current kubernetes context (https://kubernetes.io/) ]#############
# Show kubecontext only when the the command you are typing invokes one of these tools.
# Tip: Remove the next line to always show kubecontext.
diff --git a/config/p10k-rainbow.zsh b/config/p10k-rainbow.zsh
index acd21d21..ecaf9c81 100644
--- a/config/p10k-rainbow.zsh
+++ b/config/p10k-rainbow.zsh
@@ -66,6 +66,7 @@
luaenv # lua version from luaenv (https://github.com/cehoffman/luaenv)
jenv # java version from jenv (https://github.com/jenv/jenv)
plenv # perl version from plenv (https://github.com/tokuhirom/plenv)
+ phpenv # php version from phpenv (https://github.com/phpenv/phpenv)
kubecontext # current kubernetes context (https://kubernetes.io/)
terraform # terraform workspace (https://www.terraform.io)
aws # aws profile (https://docs.aws.amazon.com/cli/latest/userguide/cli-configure-profiles.html)
@@ -265,6 +266,7 @@
.lua-version
.java-version
.perl-version
+ .php-version
.tool-version
.shorten_folder_marker
.svn
@@ -1040,6 +1042,18 @@
# Custom icon.
# typeset -g POWERLEVEL9K_PLENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
+ ###########[ phpenv: php version from phpenv (https://github.com/phpenv/phpenv) ]############
+ # PHP color.
+ # typeset -g POWERLEVEL9K_PHPENV_FOREGROUND=0
+ # typeset -g POWERLEVEL9K_PHPENV_BACKGROUND=5
+ # Hide php version if it doesn't come from one of these sources.
+ typeset -g POWERLEVEL9K_PHPENV_SOURCES=(shell local global)
+ # If set to false, hide php version if it's the same as global:
+ # $(phpenv version-name) == $(phpenv global).
+ typeset -g POWERLEVEL9K_PHPENV_PROMPT_ALWAYS_SHOW=false
+ # Custom icon.
+ # typeset -g POWERLEVEL9K_PHPENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
+
################[ terraform: terraform workspace (https://www.terraform.io) ]#################
# POWERLEVEL9K_TERRAFORM_CLASSES is an array with even number of elements. The first element
# in each pair defines a pattern against which the current terraform workspace gets matched.
diff --git a/internal/icons.zsh b/internal/icons.zsh
index 725da7d0..21d421b1 100644
--- a/internal/icons.zsh
+++ b/internal/icons.zsh
@@ -133,6 +133,7 @@ function _p9k_init_icons() {
ERLANG_ICON 'erl'
ELIXIR_ICON 'elixir'
POSTGRES_ICON 'postgres'
+ PHP_ICON 'php'
)
;;
'awesome-fontconfig')
@@ -251,6 +252,7 @@ function _p9k_init_icons() {
ERLANG_ICON 'erl'
ELIXIR_ICON 'elixir'
POSTGRES_ICON 'postgres'
+ PHP_ICON 'php'
)
;;
'awesome-mapped-fontconfig')
@@ -373,6 +375,7 @@ function _p9k_init_icons() {
ERLANG_ICON 'erl'
ELIXIR_ICON 'elixir'
POSTGRES_ICON 'postgres'
+ PHP_ICON 'php'
)
;;
'nerdfont-complete'|'nerdfont-fontconfig')
@@ -492,6 +495,7 @@ function _p9k_init_icons() {
ERLANG_ICON '\uE7B1 ' # 
ELIXIR_ICON '\uE62D' # 
POSTGRES_ICON '\uE76E' # 
+ PHP_ICON '\uE608' # 
)
;;
*)
@@ -610,6 +614,7 @@ function _p9k_init_icons() {
ERLANG_ICON 'erl'
ELIXIR_ICON 'elixir'
POSTGRES_ICON 'postgres'
+ PHP_ICON 'php'
)
;;
esac
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index 685fea9d..1e611ee8 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -2548,6 +2548,56 @@ _p9k_prompt_rbenv_init() {
typeset -g "_p9k__segment_cond_${_p9k__prompt_side}[_p9k__segment_index]"='${commands[rbenv]:-${${+functions[rbenv]}:#0}}'
}
+function _p9k_phpenv_global_version() {
+ _p9k_read_word ${PHPENV_ROOT:-$HOME/.phpenv}/version || _p9k__ret=system
+}
+
+prompt_phpenv() {
+ if [[ -n $PHPENV_VERSION ]]; then
+ (( ${_POWERLEVEL9K_PHPENV_SOURCES[(I)shell]} )) || return
+ local v=$PHPENV_VERSION
+ else
+ (( ${_POWERLEVEL9K_PHPENV_SOURCES[(I)local|global]} )) || return
+ if [[ $PHPENV_DIR == (|.) ]]; then
+ _p9k_upglob .php-version
+ local -i idx=$?
+ if (( idx )) && _p9k_read_word $_p9k__parent_dirs[idx]/.php-version; then
+ (( ${_POWERLEVEL9K_PHPENV_SOURCES[(I)local]} )) || return
+ else
+ _p9k__ret=
+ fi
+ else
+ _p9k__ret=
+ [[ $PHPENV_DIR == /* ]] && local dir=$PHPENV_DIR || local dir="$_p9k__cwd_a/$PHPENV_DIR"
+ while true; do
+ if _p9k_read_word $dir/.php-version; then
+ (( ${_POWERLEVEL9K_PHPENV_SOURCES[(I)local]} )) || return
+ break
+ fi
+ [[ $dir == / ]] && break
+ dir=${dir:h}
+ done
+ fi
+ if [[ -z $_p9k__ret ]]; then
+ (( _POWERLEVEL9K_PHPENV_PROMPT_ALWAYS_SHOW )) || return
+ (( ${_POWERLEVEL9K_PHPENV_SOURCES[(I)global]} )) || return
+ _p9k_phpenv_global_version
+ fi
+ local v=$_p9k__ret
+ fi
+
+ if (( !_POWERLEVEL9K_PHPENV_PROMPT_ALWAYS_SHOW )); then
+ _p9k_phpenv_global_version
+ [[ $v == $_p9k__ret ]] && return
+ fi
+
+ _p9k_prompt_segment "$0" "magenta" "$_p9k_color1" 'PHP_ICON' 0 '' "${v//\%/%%}"
+}
+
+_p9k_prompt_phpenv_init() {
+ typeset -g "_p9k__segment_cond_${_p9k__prompt_side}[_p9k__segment_index]"='${commands[phpenv]:-${${+functions[phpenv]}:#0}}'
+}
+
function _p9k_luaenv_global_version() {
_p9k_read_word ${LUAENV_ROOT:-$HOME/.luaenv}/version || _p9k__ret=system
}
@@ -6286,6 +6336,8 @@ _p9k_init_params() {
_p9k_declare -b POWERLEVEL9K_RUST_VERSION_PROJECT_ONLY 1
_p9k_declare -b POWERLEVEL9K_RBENV_PROMPT_ALWAYS_SHOW 0
_p9k_declare -a POWERLEVEL9K_RBENV_SOURCES -- shell local global
+ _p9k_declare -b POWERLEVEL9K_PHPENV_PROMPT_ALWAYS_SHOW 0
+ _p9k_declare -a POWERLEVEL9K_PHPENV_SOURCES -- shell local global
_p9k_declare -b POWERLEVEL9K_LUAENV_PROMPT_ALWAYS_SHOW 0
_p9k_declare -a POWERLEVEL9K_LUAENV_SOURCES -- shell local global
_p9k_declare -b POWERLEVEL9K_JENV_PROMPT_ALWAYS_SHOW 0
@@ -6957,7 +7009,7 @@ _p9k_must_init() {
[[ $sig == $_p9k__param_sig ]] && return 1
_p9k_deinit
fi
- _p9k__param_pat=$'v46\1'${ZSH_VERSION}$'\1'${ZSH_PATCHLEVEL}$'\1'
+ _p9k__param_pat=$'v47\1'${ZSH_VERSION}$'\1'${ZSH_PATCHLEVEL}$'\1'
_p9k__param_pat+=$'${#parameters[(I)POWERLEVEL9K_*]}\1${(%):-%n%#}\1$GITSTATUS_LOG_LEVEL\1'
_p9k__param_pat+=$'$GITSTATUS_ENABLE_LOGGING\1$GITSTATUS_DAEMON\1$GITSTATUS_NUM_THREADS\1'
_p9k__param_pat+=$'$DEFAULT_USER\1${ZLE_RPROMPT_INDENT:-1}\1$P9K_SSH\1$__p9k_ksh_arrays'